using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _B_Prijatelji
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, m, uk = 0;

            List<int> d = new List<int>();

            var ulaz = Console.ReadLine().Split();

            n = int.Parse(ulaz[0]);
            m = int.Parse(ulaz[1]);

            for (int i = 0; i < n; i++)
            {
                d.Add(int.Parse(Console.ReadLine()));
            }

            for (int j = 0; j < m; j++)
            {
                ulaz = Console.ReadLine().Split();

                var a = int.Parse(ulaz[0]);
                var b = int.Parse(ulaz[1]);

                if (d[a-1] + d[b-1] >= 0)
                {
                    uk += d[a - 1] + d[b - 1];
                }
                else
                {
                    uk += -d[a - 1] -d[b - 1];
                }

            }

            Console.WriteLine(uk);

        }
    }
}